---
title: About milestones
intro: You can use milestones to track progress on groups of issues or pull requests in a repository.
redirect_from:
  - /github/managing-your-work-on-github/tracking-the-progress-of-your-work-with-milestones/about-milestones
  - /articles/about-milestones
  - /github/managing-your-work-on-github/about-milestones
versions:
  fpt: '*'
  ghes: '*'
  ghae: '*'
  ghec: '*'
topics:
  - Pull requests
---
When you [create a milestone](/articles/creating-and-editing-milestones-for-issues-and-pull-requests), you can [associate it with issues and pull requests](/articles/associating-milestones-with-issues-and-pull-requests).

To better manage your project, you can [view details about your milestone](/articles/viewing-your-milestone-s-progress). From the milestone page, you can see:

- A user-provided description of the milestone, which can include information like a project overview, relevant teams, and projected due dates
- The milestone's due date
- The milestone's completion percentage
- The number of open and closed issues and pull requests associated with the milestone
- A list of the open and closed issues and pull requests associated with the milestone

Additionally, you can edit the milestone from the milestone page and create new issues that are, by default, associated with the milestone.

![Milestone page](/assets/images/help/issues/milestone-info-page.png)

## Prioritizing issues and pull requests in milestones

You can prioritize open issues and pull requests in a milestone by clicking to the left of an issue or pull request's checkbox, dragging it to a new location, and dropping it.

{% note %}

**Note:** If there are more than 500 open issues in a milestone, you won't be able to prioritize issues.

{% endnote %}

![Reordered milestone](/assets/images/help/issues/milestone-reordered.gif)

## Further reading

- "[Creating and editing milestones for issues and pull requests](/articles/creating-and-editing-milestones-for-issues-and-pull-requests)"
- "[Associating milestones with issues and pull requests](/articles/associating-milestones-with-issues-and-pull-requests)"
- "[Filtering issues and pull requests by milestone](/articles/filtering-issues-and-pull-requests-by-milestone)"
- "[Viewing your milestone's progress](/articles/viewing-your-milestone-s-progress)"
